package com.easyproject.system.service.coze;

import com.easyproject.service.domain.coze.CozeTokenSet;

import java.util.List;


/**
 * AI令牌Service接口
 *
 * @author easyproject
 * @date 2025-03-21
 */
public interface ICozeTokenSetService {
    /**
     * 查询AI令牌
     *
     * @param id AI令牌主键
     * @return AI令牌
     */
    public CozeTokenSet selectCozeTokenSetById(Long id);

    /**
     * 查询AI令牌列表
     *
     * @param cozeTokenSet AI令牌
     * @return AI令牌集合
     */
    public List<CozeTokenSet> selectCozeTokenSetList(CozeTokenSet cozeTokenSet);

    /**
     * 新增AI令牌
     *
     * @param cozeTokenSet AI令牌
     * @return 结果
     */
    public int insertCozeTokenSet(CozeTokenSet cozeTokenSet);

    /**
     * 修改AI令牌
     *
     * @param cozeTokenSet AI令牌
     * @return 结果
     */
    public int updateCozeTokenSet(CozeTokenSet cozeTokenSet);

    /**
     * 批量删除AI令牌
     *
     * @param ids 需要删除的AI令牌主键集合
     * @return 结果
     */
    public int deleteCozeTokenSetByIds(Long[] ids);
}
